/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');	
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/vacancyofferreview.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/vacancyofferreview.xml',
'<View showSubmit="true" formHelp="After approval, this will immediately notify the applicant and start the onboarding process. If there are no approvers listed below, this will happen straight after hitting Submit." submitLabel="{message.XXAS_RB_COM_SUBMIT}">

  <EditFields>
    
   	<Container id="BASIC_GRP">
      <Hidden id="PERSON_ID"/>
      <Hidden id="ASSIGNMENT_ID"/>
      <Hidden id="TRANSACTION_ID"/>
	  <Hidden id="VACANCY_ID"/>
      <Hidden id="OFFER_ID"/>
      <ListItem id="APPROVERS" style="row" listFunction="xxas_offer_pkg.get_offer_workflow_details" visible="true"/>
	  <TextArea id="COMMENTS_TO_APPROVER" label="Comments to Approver"/>
    </Container>

  </EditFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/vacancyofferreview.xml');
END;
/
COMMIT;
EXIT;
